### 问题反馈  
- 准点发送的文章在定点推送模式下可能会被遗漏推送  
`已通过增加时间范围功能改善此问题，彻底解决需要重构代码`
- 钉钉/企业微信/蓝信webhook存在字节长度限制，需要优化程序推送逻辑   
`重构了短文本推送机制，已解决此bug`
- 首次运行时若抓取RSS源失败，筛选模块无法获取json文件时会导致中断  
`为项目添加一个初始json文件`
- 程序运行会产生越来越巨大的DB文件与Markdown文件，同时web网页显示的内容也会非常长，不利于节省服务器流量与加载速度  
`为系统添加性能限制模块`

### 下一步计划（待完成）  
- 添加更多RSS订阅源（持续进行中）  
- 添加更多推送方式，如邮件、微信等  
- 添加谷歌搜索等更多相关检测源，后续将支持谷歌语法  


### 下一步计划（已完成）  
- 将所有打印信息转为logging info并存档（已完成）<br>
- 将logging info转为异步的loguru（已完成）  
- 探查异常中断原因（已解决，获取rss源时的请求未做超时检测）  
- 添加超时机制，防止程序异常卡死（已完成）  
- 存档所有推送文章方便以后查看（已完成）  
- 创建Web网页以展示最新推送（info.masonliu.com，已完成）  
- 更换筛选模块，由时段筛选改为历史记录筛选以确保不会有资讯漏报（筛选条件增加了时间筛选和是否已发送筛选）  
- 添加GitHub等监测源（重构参考项目逻辑并上线）  
- 添加百度监测源  
- 添加性能限制模块（限制每次读取数量）  
- 将搜狗-微信和GitHub同步上网站推送  

### 下一步计划（已作废）  
- 添加Mysql作为数据库存储（现有sqlite已满足使用）  

### 更新日志
#### 从2024年12月15日开始记录
- 2024年12月15日早：优化了文件结构，修复了日志记录时的小BUG，添加web展示日志功能  
- 2024年12月15日晚：修复了单次运行结束时的校验错误问题  
- 2024年12月18日早：添加了短文本推送机制，一定程度上解决了长字节推送问题（解决办法正在思考中）  
- 2024年12月24日晚：上传了测试0.1版本，修复了报错问题  
- 2024年12月25日早：优化了代码逻辑和表现  
- 2024年12月25日晚：优化了推送报文格式  
- 2024年12月30日：添加并完善了基于搜狗搜索的微信公众号文章监测  
- 2024年12月30日晚：为洞见微信资讯推送添加了关键词筛选  
- 2025年01月02日：更新并上线了Github项目监测功能，readme后续更新中  
- 2025年01月02日晚：再次优化了文件结构，提高可读性  
- 2025年01月05日晚：修复了doonsec相关配置的bug，程序现已可正常运行  
- 2025年01月06日：更新了配置信息自动获取的逻辑，添加关键词等现可在运行时添加，重要配置信息（config.yaml）仍需暂停重新运行  
- 2025年01月10日上午：修复了github推送的问题（时区，消息配置错误等）  
- 2025年01月10日下午：上线了百度搜索内容监测  
- 2025年01月14日晚：添加了网站读取文件逻辑仅读取限制数量的文件，避免文件过大导致程序崩溃或是阅读困难  
- 2025年01月15日早：优化并精简了web程序的代码  
- 2025年01月22日：完善短文本推送机制，现已可完美支持推送至企业微信、钉钉、蓝信、微信等，等待后续开发  